



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>SPSS数据分析—配对Logistic回归模型</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">SPSS数据分析—配对Logistic回归模型</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-24 11:52:43 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>Lofistic回归模型也可以用于配对资料，但是其分析方法和操作方法均与之前介绍的不同，具体表现</p>
<p>在以下几个方面<br />1.每个配对组共有同一个回归参数，也就是说协变量在不同配对组中的作用相同<br />2.常数项随着配对组变化而变化，反映了非实验因素在配对组中的作用，但是我们并不关心其大小，</p>
<p>因此在拟合时采用条件似然函数代替了一般似然函数，从而在拟合中消去了反映层因素的参数。</p>
<p>SPSS中没有直接拟合配对Logistic回归模型的过程，需要对数据进行一些处理，采用其他方法进行拟合，拟合方法有变量差值拟合和COX模型</p>
<p><strong>一、变量差值拟合</strong></p>
<p>只适用于1:1配对，通过求出同一对中案例组与对照组多有变量的差值，对差值进行不含常数项的无序多分类Logistic回归模型拟合来达到目的</p>
<p>例：收集了一组数据，希望分析服用雌激素与子宫内膜癌之间的关系，除了研究因素之外，还额外收</p>
<p>集了两个变量，数据为配对数据，1为病例，0为对照，case为是否患病，也就是因变量</p>
<p><img referrerpolicy="no-referrer"src="http://images2015.cnblogs.com/blog/789211/201607/789211-20160723223037435-1638097026.png" /></p>
<p>采用变量差值进行拟合，首先求出所有变量之间的差值，可以使用计算变量过程，但是该过程每次只</p>
<p>能处理一个变量，比较麻烦，我们使用语法编辑器进行程序编写，如下<br /><img referrerpolicy="no-referrer"src="http://images2015.cnblogs.com/blog/789211/201607/789211-20160723223046341-846017407.png" /><br />全部选中之后运行，在原数据中就会依次出现新生成的差值变量，接下来，我们对这些差值变量进行无序多分类Logistic回归</p>
<p><strong>分析&mdash;回归&mdash;多项Logistic</strong></p>
<p><img referrerpolicy="no-referrer"src="http://images2015.cnblogs.com/blog/789211/201607/789211-20160723223115576-173521251.png" /><br /><img referrerpolicy="no-referrer"src="http://images2015.cnblogs.com/blog/789211/201607/789211-20160723223122044-138283022.png" /><br /><img referrerpolicy="no-referrer"src="http://images2015.cnblogs.com/blog/789211/201607/789211-20160723223128388-276027528.png" /></p>
<p><strong>==================================================</strong></p>
<p><strong>二、分层Cox模型</strong><br />该方法最常用来进行生存函数估计，但是由于在拟合方法上和配对Logistic模型一致，因此也可以用来拟合配对Logistic回归模型，它不仅可以拟合1:1配对，还可以拟合1:r，n:m配对，应用范围比较广。</p>
<p>在数据组成上，和变量差值拟合有所不同，需要给每个个案一个虚拟生存时间，默认案例组比对照组生存时间段，具体值不限，两个时间差距大小也不限。案例发生算为失效事件，对照组为删失，并且对子号作为分层因素，我们还是通过变量差值拟合的案例来进行说明</p>
<p>我们将原数据调整如下<br /><img referrerpolicy="no-referrer"src="http://images2015.cnblogs.com/blog/789211/201607/789211-20160724175028669-1603468246.png" /></p>
<p>我们将原来并排排列的案例组和对照组合并为竖列，并且增加虚拟生存时间变量time，案例组为1，对照组为2，接下来按照Cox回归模型进行拟合</p>
<p><strong>分析&mdash;生存函数&mdash;Cox回归</strong></p>
<p><img referrerpolicy="no-referrer"src="http://images2015.cnblogs.com/blog/789211/201607/789211-20160724175049060-172115936.png" /></p>
<p><img referrerpolicy="no-referrer"src="http://images2015.cnblogs.com/blog/789211/201607/789211-20160724175054888-1053753765.png" /></p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/5qyxgd8r.html">Jmeter正则表达式</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j0zr0lq.html">Ubuntu下adb的安装</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxndzwd8.html">hdu 1532 Dinic模板（小白书）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvve661q.html">软件工程随堂小作业&mdash;&mdash;随机四则运算Ⅱ（C&plus;&plus;）</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rdylzd8.html">在完成端口中使用GetAcceptExSockaddrs</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rd1xrr8.html">Protected Member Access</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxnz6rd8.html">linux tmp75 &sol;dev&sol;i2c-&ast; 获取数据 demo</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rdw0ne8.html">读写锁ReadWriteLock和缓存实例</a>
		</li>
						<li><a href="https://www.batexi.com/a/qlmdm569.html">Yii简单的基于角色的访问控制</a>
		</li>
						<li><a href="https://www.batexi.com/a/95xlzj68.html">ADO&period;Net技术</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdev1e79.html">enter 默认搜索</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mn3py6q.html">C&num; 集合性能 总结</a>
		</li>
						<li><a href="https://www.batexi.com/a/8eyjynx9.html">react&plus;redux&plus;generation-modation脚手架添加一个todolist</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rgw4348.html">改动hosts权限</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnjk20k8.html">Qt 动态加载DLL 常见错误有哪些？</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ojednxq.html">SQL Server 增加链接服务器</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kp3pj39.html">gets&lpar;&rpar;的替代问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/9r5d0wmq.html">JavaSE-2018&period;12&period;20更新</a>
		</li>
						<li><a href="https://www.batexi.com/a/9r554xdq.html">VS code的疑惑之处</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwv5n1y8.html">MVC Repository模式</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/m8zrp0nq.html">YbSoftwareFactory 代码生成插件【十三】：Web API 的安全性</a>
			</li>
						<li><a href="https://www.batexi.com/a/390j0oo8.html">Android 仿QQ消息界面</a>
			</li>
						<li><a href="https://www.batexi.com/a/jqddvezq.html">webpack模块依赖管理介绍</a>
			</li>
						<li><a href="https://www.batexi.com/a/49g4yjl9.html">JAVA中的异常及处理异常的方法</a>
			</li>
						<li><a href="https://www.batexi.com/a/2q7l1ge8.html">JPA in Spring</a>
			</li>
						<li><a href="https://www.batexi.com/a/e9pkrgy8.html">js 获取url参数的值</a>
			</li>
						<li><a href="https://www.batexi.com/a/390jg548.html">vue 导航钩子</a>
			</li>
						<li><a href="https://www.batexi.com/a/oqvz4xj9.html">Mac OSX上的软件包管理工具，brew 即 Homebrew</a>
			</li>
						<li><a href="https://www.batexi.com/a/m8zrdn3q.html">2016年12月28日 星期三 --出埃及记 Exodus 21&colon;23</a>
			</li>
						<li><a href="https://www.batexi.com/a/0qw517zq.html">关于AJAX 的交互模型、交互流程及代码示范</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
